Subject: Re: bug#28402: 25.2; shr.el uses shr-tag-img despite set shr-external-rendering-functions

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Sep 2017 19:04:42 +0300

> From: Vasilij Schneidermann <[email-masked]>
> Date: Sat, 9 Sep 2017 21:39:39 +0200
> Cc: [email-masked]
> 
> I'm using shr.el for a package and override `shr-tag-img` by let-binding
> `shr-external-rendering-functions` to an alist containing an alternative
> rendering function that deals better with local images.  Despite this
> `shr-tag-img` is still directly called when rendering tables with images
> inside them.  The same problem applies to other directly called
> rendering functions, as opposed to indirectly called ones as seen in
> `shr-descend`, the function honoring `shr-external-rendering-functions`.

>From a cursory look into shr.el, it looks like
shr-external-rendering-functions were introduced to support some
specific eww.el needs, not as a general lever for tweaking shr.el from
outside it.  That's why only a handful of functions honor that
variable.

Would you like to submit a patch that would make all shr-tag-*
functions consult that variable first?